OIDUA(1)

NAME
oidua - audio file metadata lister

SYNOPSIS
oidua [options] directory [...]

DESCRIPTION
lists meta data of audio files. What information and how it is presented is customizable. It is possible to format output in csv, html, xml or for human beings.

OPTIONS

-B, --bg COLOR
    Set HTML background color

-D, --date
    Display datestamp header

--debug
    Output debug trace to stderr

-e, --exclude DIRECTORY
    Exclude directory from search

-f, --file FILE
    write output to file

-h, --help
    Display help message

-H, --html
    HTML output

--ignore-bad
    Don't list files that cause Audiotype failure

-i, --ignore-case
    Case-insensitive directory sorting

-I, --indent N
    Set indent to N

-m, --merge
    Merge identical directories
    Basedirs with identical names are merged. This Means that all their subdirs are considered being subdirs of a single directory, and therefore sorted and displayed together. If there are duplicate names among the subdirs then those are also merged.

-o, --output STRING
    Set output format to STRING

    Anything enclosed by brackets is considered a field. A field must have the following syntax:

    [TAG]

    [TAG,WIDTH]

    [TAG,WIDTH,SUFFIX]

    [TAG,SUFFIX]

        TAG is any of the following characters:

        a   list of bitrates in Audiolist compatible format

        b   bitrate with suffix (i.e. 192k)

        B   bitrate in bps

        d   depth; distance from respective basedir

        f   number of audio files (including spacers)

        l   length in minutes and seconds

        L   length in seconds

        m   time of last change

        M   time of last change in seconds since the epoch

        n   directory name (indented)

        N   directory name

        p   profile

        P   full path

        q   quality

        s   size with suffix (i.e. 65.4M)

        S   size in bytes

        t   file type

        T   bitrate type:

            ~   mixed files

            C   constant bitrate

            L   lossless compression

            V   variable bitrate

        WIDTH
            defines the exact width of the field. The output is cropped to this width if needed. Negative values will give left aligned output. Cropping is always done on the right.

        SUFFIX
            lets you specify a unit to be concatenated to all non-empty data.
            Other interpreted sequences are:

            \[  [

            \]  ]

            \n  new line

            \t  tab character

        Unescaped brackets are forbidden unless they define a field.

        Note: If you have any whitespace in your output string you must put it inside quotes or otherwise it will not get parsed right.

    -q, --quiet
        Omit progress indication

    -s, --strip
        Strip output of field headers and empty directories

    -S, --stats
        Display statistics results

    -t, --time
        Display elapsed time footer

    -T, --text  COLOR
        Set HTML text color

    -V, --version
        Display version

    -w, --wildcards
        Expand wildcards in basedirs

REPORTING BUGS
Report bugs to Sylvester Johansson <sylvestor@telia.com>

SEE ALSO
http://oidua.suxbad.com/

AUTHOR
oidua was written by Sylvester Johansson and Mattias Paeivaerinta This manual page was written by Erik Wenzel <erik@debian.org> for the Debian GNU/Linux system (but may be used by others).